--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: This method yields the entire Bot data Hash to the block, and stores any changes done to it, returning a copy of the (changed) Hash.
full_name: "::User#with_botdata"
is_singleton: false
name: with_botdata
params: (&block)
visibility: public
